package mysql-server-5.5 (not installed) failed to install/upgrade: le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1

Bug #997401 reported by Yves Malouin on 2012-05-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mysql-5.5 (Ubuntu)
Undecided
Unassigned

Bug Description

yves@Linux:~$ sudo apt-get install php5 php5-cli php5-mysql mysql-server
[sudo] password for yves:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common
  libapache2-mod-php5 libapr1 libaprutil1 libaprutil1-dbd-sqlite3
  libaprutil1-ldap libdbd-mysql-perl libdbi-perl libhtml-template-perl
  libnet-daemon-perl libplrpc-perl mysql-client-5.5 mysql-client-core-5.5
  mysql-server-5.5 mysql-server-core-5.5 php5-common
Paquets suggérés :
  apache2-doc apache2-suexec apache2-suexec-custom php-pear
  libipc-sharedcache-perl tinyca php5-suhosin
Les NOUVEAUX paquets suivants seront installés :
  apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common
  libapache2-mod-php5 libapr1 libaprutil1 libaprutil1-dbd-sqlite3
  libaprutil1-ldap libdbd-mysql-perl libdbi-perl libhtml-template-perl
  libnet-daemon-perl libplrpc-perl mysql-client-5.5 mysql-client-core-5.5
  mysql-server mysql-server-5.5 mysql-server-core-5.5 php5 php5-cli
  php5-common php5-mysql
0 mis à jour, 23 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 34,7 Mo dans les archives.
Après cette opération, 117 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Réception de : 1 http://ca.archive.ubuntu.com/ubuntu/ precise/main libnet-daemon-perl all 0.48-1 [43,1 kB]
Réception de : 2 http://ca.archive.ubuntu.com/ubuntu/ precise/main libplrpc-perl all 0.2020-2 [36,0 kB]
Réception de : 3 http://ca.archive.ubuntu.com/ubuntu/ precise/main libdbi-perl amd64 1.616-1build2 [849 kB]
Réception de : 4 http://ca.archive.ubuntu.com/ubuntu/ precise/main libdbd-mysql-perl amd64 4.020-1build2 [106 kB]
Réception de : 5 http://ca.archive.ubuntu.com/ubuntu/ precise/main mysql-client-core-5.5 amd64 5.5.22-0ubuntu1 [1 926 kB]
Réception de : 6 http://ca.archive.ubuntu.com/ubuntu/ precise/main mysql-client-5.5 amd64 5.5.22-0ubuntu1 [8 298 kB]
Réception de : 7 http://ca.archive.ubuntu.com/ubuntu/ precise/main mysql-server-core-5.5 amd64 5.5.22-0ubuntu1 [6 022 kB]
Réception de : 8 http://ca.archive.ubuntu.com/ubuntu/ precise/main mysql-server-5.5 amd64 5.5.22-0ubuntu1 [8 816 kB]
Réception de : 9 http://ca.archive.ubuntu.com/ubuntu/ precise/main libapr1 amd64 1.4.6-1 [89,6 kB]
Réception de : 10 http://ca.archive.ubuntu.com/ubuntu/ precise/main libaprutil1 amd64 1.3.12+dfsg-3 [74,6 kB]
Réception de : 11 http://ca.archive.ubuntu.com/ubuntu/ precise/main libaprutil1-dbd-sqlite3 amd64 1.3.12+dfsg-3 [10,4 kB]
Réception de : 12 http://ca.archive.ubuntu.com/ubuntu/ precise/main libaprutil1-ldap amd64 1.3.12+dfsg-3 [8 044 B]
Réception de : 13 http://ca.archive.ubuntu.com/ubuntu/ precise/main apache2.2-bin amd64 2.2.22-1ubuntu1 [1 337 kB]
Réception de : 14 http://ca.archive.ubuntu.com/ubuntu/ precise/main apache2-utils amd64 2.2.22-1ubuntu1 [91,0 kB]
Réception de : 15 http://ca.archive.ubuntu.com/ubuntu/ precise/main apache2.2-common amd64 2.2.22-1ubuntu1 [228 kB]
Réception de : 16 http://ca.archive.ubuntu.com/ubuntu/ precise/main apache2-mpm-prefork amd64 2.2.22-1ubuntu1 [2 402 B]
Réception de : 17 http://ca.archive.ubuntu.com/ubuntu/ precise-updates/main php5-common amd64 5.3.10-1ubuntu3.1 [429 kB]
Réception de : 18 http://ca.archive.ubuntu.com/ubuntu/ precise-updates/main libapache2-mod-php5 amd64 5.3.10-1ubuntu3.1 [3 136 kB]
Réception de : 19 http://ca.archive.ubuntu.com/ubuntu/ precise/main libhtml-template-perl all 2.10-1 [65,0 kB]
Réception de : 20 http://ca.archive.ubuntu.com/ubuntu/ precise/main mysql-server all 5.5.22-0ubuntu1 [11,8 kB]
Réception de : 21 http://ca.archive.ubuntu.com/ubuntu/ precise-updates/main php5 all 5.3.10-1ubuntu3.1 [1 074 B]
Réception de : 22 http://ca.archive.ubuntu.com/ubuntu/ precise-updates/main php5-cli amd64 5.3.10-1ubuntu3.1 [3 049 kB]
Réception de : 23 http://ca.archive.ubuntu.com/ubuntu/ precise-updates/main php5-mysql amd64 5.3.10-1ubuntu3.1 [77,0 kB]
34,7 Mo réceptionnés en 51s (677 ko/s)
Préconfiguration des paquets...
Selecting previously unselected package libnet-daemon-perl.
(Lecture de la base de données... 221297 fichiers et répertoires déjà installés.)
Dépaquetage de libnet-daemon-perl (à partir de .../libnet-daemon-perl_0.48-1_all.deb) ...
Selecting previously unselected package libplrpc-perl.
Dépaquetage de libplrpc-perl (à partir de .../libplrpc-perl_0.2020-2_all.deb) ...
Selecting previously unselected package libdbi-perl.
Dépaquetage de libdbi-perl (à partir de .../libdbi-perl_1.616-1build2_amd64.deb) ...
Selecting previously unselected package libdbd-mysql-perl.
Dépaquetage de libdbd-mysql-perl (à partir de .../libdbd-mysql-perl_4.020-1build2_amd64.deb) ...
Selecting previously unselected package mysql-client-core-5.5.
Dépaquetage de mysql-client-core-5.5 (à partir de .../mysql-client-core-5.5_5.5.22-0ubuntu1_amd64.deb) ...
Selecting previously unselected package mysql-client-5.5.
Dépaquetage de mysql-client-5.5 (à partir de .../mysql-client-5.5_5.5.22-0ubuntu1_amd64.deb) ...
Selecting previously unselected package mysql-server-core-5.5.
Dépaquetage de mysql-server-core-5.5 (à partir de .../mysql-server-core-5.5_5.5.22-0ubuntu1_amd64.deb) ...
Selecting previously unselected package mysql-server-5.5.
Dépaquetage de mysql-server-5.5 (à partir de .../mysql-server-5.5_5.5.22-0ubuntu1_amd64.deb) ...
useradd : impossible de verrouiller /etc/passwd ; veuillez réessayer plus tard.
adduser : « /usr/sbin/useradd -d /nonexistent -g mysql -s /bin/false -u 144 mysql » a retourné le code d'erreur 1. Abandon.
dpkg : erreur de traitement de /var/cache/apt/archives/mysql-server-5.5_5.5.22-0ubuntu1_amd64.deb (--unpack) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Selecting previously unselected package libapr1.
Dépaquetage de libapr1 (à partir de .../libapr1_1.4.6-1_amd64.deb) ...
Selecting previously unselected package libaprutil1.
Dépaquetage de libaprutil1 (à partir de .../libaprutil1_1.3.12+dfsg-3_amd64.deb) ...
Selecting previously unselected package libaprutil1-dbd-sqlite3.
Dépaquetage de libaprutil1-dbd-sqlite3 (à partir de .../libaprutil1-dbd-sqlite3_1.3.12+dfsg-3_amd64.deb) ...
Selecting previously unselected package libaprutil1-ldap.
Dépaquetage de libaprutil1-ldap (à partir de .../libaprutil1-ldap_1.3.12+dfsg-3_amd64.deb) ...
Selecting previously unselected package apache2.2-bin.
Dépaquetage de apache2.2-bin (à partir de .../apache2.2-bin_2.2.22-1ubuntu1_amd64.deb) ...
Selecting previously unselected package apache2-utils.
Dépaquetage de apache2-utils (à partir de .../apache2-utils_2.2.22-1ubuntu1_amd64.deb) ...
Selecting previously unselected package apache2.2-common.
Dépaquetage de apache2.2-common (à partir de .../apache2.2-common_2.2.22-1ubuntu1_amd64.deb) ...
Selecting previously unselected package apache2-mpm-prefork.
Dépaquetage de apache2-mpm-prefork (à partir de .../apache2-mpm-prefork_2.2.22-1ubuntu1_amd64.deb) ...
Selecting previously unselected package php5-common.
Dépaquetage de php5-common (à partir de .../php5-common_5.3.10-1ubuntu3.1_amd64.deb) ...
Selecting previously unselected package libapache2-mod-php5.
Dépaquetage de libapache2-mod-php5 (à partir de .../libapache2-mod-php5_5.3.10-1ubuntu3.1_amd64.deb) ...
Selecting previously unselected package libhtml-template-perl.
Dépaquetage de libhtml-template-perl (à partir de .../libhtml-template-perl_2.10-1_all.deb) ...
Selecting previously unselected package mysql-server.
Dépaquetage de mysql-server (à partir de .../mysql-server_5.5.22-0ubuntu1_all.deb) ...
Selecting previously unselected package php5.
Dépaquetage de php5 (à partir de .../php5_5.3.10-1ubuntu3.1_all.deb) ...
Selecting previously unselected package php5-cli.
Dépaquetage de php5-cli (à partir de .../php5-cli_5.3.10-1ubuntu3.1_amd64.deb) ...
Selecting previously unselected package php5-mysql.
Dépaquetage de php5-mysql (à partir de .../php5-mysql_5.3.10-1ubuntu3.1_amd64.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Traitement des actions différées (« triggers ») pour « ufw »...
Traitement des actions différées (« triggers ») pour « ureadahead »...
ureadahead will be reprofiled on next reboot
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/mysql-server-5.5_5.5.22-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
yves@Linux:~$

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: mysql-server-5.5 (not installed)
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
Date: Wed May 9 19:52:50 2012
ErrorMessage: le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
SourcePackage: mysql-5.5
Title: package mysql-server-5.5 (not installed) failed to install/upgrade: le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
UpgradeStatus: Upgraded to precise on 2012-05-07 (2 days ago)

Yves Malouin (yves-malouin) wrote :
James Page (james-page) wrote :

Please follow the advice in bug 523896.

Thanks

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers